﻿(function () {

    "use strict";

    angular.module("EnrApp")
           .filter("orderByLastName", ["$filter", function ($filter) {
               return function (arrayNames) {
                   // Store name parts (last name, first name).
                   var nameWithNameParts = [];
                   for (var i = 0; i < arrayNames.length; i++) {
                       var splitArray = arrayNames[i].split(" ");
                       nameWithNameParts.push({
                           fullName: arrayNames[i],
                           firstName: splitArray[0],
                           lastName: splitArray[splitArray.length - 1]
                       });
                   }

                   // Order by last name. Use firstname to break ties.
                   //nameWithNameParts = $filter('orderBy')(nameWithNameParts, ["lastName", "firstName"]);

                   return nameWithNameParts.map(function (nameInfo) { return nameInfo.fullName; });
               };
           }]);
}());
